VismaBouwsoftAPICalls.v1_POST_AssignmentLabor Method
v1_POST_AssignmentLabor() as String

This API call is used to add a(n) AssignmentLabor

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /AssignmentLabor
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
assignment_id 1 tpLong 0 No No No
actualcosttimeworked_id_mapping 1 tpLong 0 No No No
date 3 tpDate 0 No Yes No
employee_id 1 tpLong 0 No Yes No
address_id 1 tpLong 0 No Yes No
name 2 tpString 0 No No No
responsible 5 tpBool 0 No Yes No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 0 No Yes No
job_name 2 tpString 0 No No No
ok 5 tpBool 0 No Yes No
from 20 tpTimeDouble 0 No Yes No
to 20 tpTimeDouble 0 No Yes No
break 20 tpTimeDouble 0 No Yes No
invoice_id 1 tpLong 0 No No No
invoice_nr 1 tpLong 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/AssignmentLabor

API Path: /AssignmentLabor/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentLabor

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: rPGfWxfVkGzSfIGUDtzRqkbbfGPkIOAAjVItztOADtrGDfrPPD
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: columns, ParameterValue: assignment_id%3D%7B%22v1_POST_Assignments%20%28test1%29%22%3A%20%22id%22%7D%2Cemployee_id%3D%7B%22v1_POST_Employees%20%28test1%29%22%3A%20%22id%22%7D%2Cfrom%3D7%2Cto%3D17%2Cbreak%3D1%2Cdate%3D%272022–10–24%27

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 738,
    "assignment_id": 1496,
    "actualcosttimeworked_id_mapping": 12438,
    "date": "2022–10–24",
    "employee_id": 551,
    "address_id": 0,
    "name": "WnDirk API",
    "responsible": true,
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "ok": false,
    "from": 7,
    "to": 17,
    "break": 1,
    "invoice_id": 0,
    "invoice_nr": 0,
    "ts_lastupdate": "2026–05–07 09:19:11"
  }
]
}